package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;

public class CSend extends CStmt{

    private CTarget CTarget;
    private CArguments CArguments;
    
    private String message;

    private String idref;
    private String idkind;

    public CSend()
    {
        CTarget = null;
        CArguments = null;
        this.message = null;
        idref = null;
        idkind = null;
    }

    public CArguments getCArguments() {
        return CArguments;
    }

    public void setCArguments(CArguments CArguments) {
        this.CArguments = CArguments;
    }

    public CTarget getCTarget() {
        return CTarget;
    }

    public void setCTarget(CTarget CTarget) {
        this.CTarget = CTarget;
    }

    public String getIdkind() {
        return idkind;
    }

    public void setIdkind(String idkind) {
        this.idkind = idkind;
    }

    public String getIdref() {
        return idref;
    }

    public void setIdref(String idref) {
        this.idref = idref;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    
}
